My Project: dgMatrix Class Reference

My Project

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
dgMatrix Class Reference

`#include <dgMatrix.h>`

Inheritance diagram for dgMatrix:

## Public Member Functions

| dgMatrix ()
| dgMatrix (const dgFloat32 *const array)
| dgMatrix (const dgVector &front, const dgVector &up, const dgVector &right, const dgVector &posit)
| dgMatrix (const dgQuaternion &rotation, const dgVector &position)
| dgMatrix (const dgVector &front)
| dgMatrix (const dgVector &p, const dgVector &q)
dgVector & | operator[] (dgInt32 i)
const dgVector & | operator[] (dgInt32 i) const
dgMatrix | Inverse () const
dgMatrix | Inverse4x4 () const
dgMatrix | Transpose () const
dgMatrix | Transpose4X4 () const
dgMatrix | Symetric3by3Inverse () const
dgVector | RotateVector (const dgVector &v) const
dgVector | UnrotateVector (const dgVector &v) const
dgVector | TransformVector (const dgVector &v) const
dgVector | UntransformVector (const dgVector &v) const
dgPlane | TransformPlane (const dgPlane &localPlane) const
dgPlane | UntransformPlane (const dgPlane &globalPlane) const
void | TransformBBox (const dgVector &p0local, const dgVector &p1local, dgVector &p0, dgVector &p1) const
void | CalcPitchYawRoll (dgVector &euler0, dgVector &euler1) const
void | TransformTriplex (dgFloat32 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat64 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
bool | TestOrthogonal () const
bool | TestSymetric3x3 () const
dgMatrix | operator* (const dgMatrix &B) const
void | EigenVectors (dgVector &eigenValues, const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | EigenVectors (const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | PolarDecomposition (dgMatrix &transformMatrix, dgVector &scale, dgMatrix &stretchAxis, const dgMatrix &initialStretchAxis=dgGetIdentityMatrix()) const
| dgMatrix (const dgMatrix &transformMatrix, const dgVector &scale, const dgMatrix &stretchAxis)

## Public Attributes

dgVector | m_front
dgVector | m_up
dgVector | m_right
dgVector | m_posit

## Static Public Attributes

static dgMatrix | m_zeroMatrix
static dgMatrix | m_identityMatrix

## Constructor & Destructor Documentation

## § dgMatrix() [1/7]

DG_INLINE dgMatrix::dgMatrix | ( |  | ) |

## § dgMatrix() [2/7]

DG_INLINE dgMatrix::dgMatrix | ( | const dgFloat32 *const | array | ) |

## § dgMatrix() [3/7]

DG_INLINE dgMatrix::dgMatrix | ( | const dgVector & | front,
|  | const dgVector & | up,
|  | const dgVector & | right,
|  | const dgVector & | posit
| ) |  |

## § dgMatrix() [4/7]

dgMatrix::dgMatrix | ( | const dgQuaternion & | rotation,
|  | const dgVector & | position
| ) |  |

## § dgMatrix() [5/7]

DG_INLINE dgMatrix::dgMatrix | ( | const dgVector & | front | ) |

## § dgMatrix() [6/7]

DG_INLINE dgMatrix::dgMatrix | ( | const dgVector & | p,
|  | const dgVector & | q
| ) |  |

## § dgMatrix() [7/7]

dgMatrix::dgMatrix | ( | const dgMatrix & | transformMatrix,
|  | const dgVector & | scale,
|  | const dgMatrix & | stretchAxis
| ) |  |

## Member Function Documentation

## § CalcPitchYawRoll()

void dgMatrix::CalcPitchYawRoll | ( | dgVector & | euler0,
|  | dgVector & | euler1
| ) |  | const

## § EigenVectors() [1/2]

void dgMatrix::EigenVectors | ( | dgVector & | eigenValues,
|  | const dgMatrix & | initialGuess = `dgGetIdentityMatrix()`
| ) |  |

## § EigenVectors() [2/2]

DG_INLINE void dgMatrix::EigenVectors | ( | const dgMatrix & | initialGuess = `dgGetIdentityMatrix()` | ) |

## § Inverse()

DG_INLINE dgMatrix dgMatrix::Inverse | ( |  | ) | const

## § Inverse4x4()

dgMatrix dgMatrix::Inverse4x4 | ( |  | ) | const

## § operator*()

dgMatrix dgMatrix::operator* | ( | const dgMatrix & | B | ) | const

## § operator[]() [1/2]

DG_INLINE dgVector & dgMatrix::operator[] | ( | dgInt32 | i | ) |

## § operator[]() [2/2]

DG_INLINE const dgVector & dgMatrix::operator[] | ( | dgInt32 | i | ) | const

## § PolarDecomposition()

void dgMatrix::PolarDecomposition | ( | dgMatrix & | transformMatrix,
|  | dgVector & | scale,
|  | dgMatrix & | stretchAxis,
|  | const dgMatrix & | initialStretchAxis = `dgGetIdentityMatrix()`
| ) |  | const

## § RotateVector()

DG_INLINE dgVector dgMatrix::RotateVector | ( | const dgVector & | v | ) | const

## § Symetric3by3Inverse()

dgMatrix dgMatrix::Symetric3by3Inverse | ( |  | ) | const

## § TestOrthogonal()

DG_INLINE bool dgMatrix::TestOrthogonal | ( |  | ) | const

## § TestSymetric3x3()

DG_INLINE bool dgMatrix::TestSymetric3x3 | ( |  | ) | const

## § TransformBBox()

void dgMatrix::TransformBBox | ( | const dgVector & | p0local,
|  | const dgVector & | p1local,
|  | dgVector & | p0,
|  | dgVector & | p1
| ) |  | const

## § TransformPlane()

DG_INLINE dgPlane dgMatrix::TransformPlane | ( | const dgPlane & | localPlane | ) | const

## § TransformTriplex() [1/3]

void dgMatrix::TransformTriplex | ( | dgFloat32 *const | dst,
|  | dgInt32 | dstStrideInBytes,
|  | const dgFloat32 *const | src,
|  | dgInt32 | srcStrideInBytes,
|  | dgInt32 | count
| ) |  | const

## § TransformTriplex() [2/3]

void dgMatrix::TransformTriplex | ( | dgFloat64 *const | dst,
|  | dgInt32 | dstStrideInBytes,
|  | const dgFloat64 *const | src,
|  | dgInt32 | srcStrideInBytes,
|  | dgInt32 | count
| ) |  | const

## § TransformTriplex() [3/3]

void dgMatrix::TransformTriplex | ( | dgFloat64 *const | dst,
|  | dgInt32 | dstStrideInBytes,
|  | const dgFloat32 *const | src,
|  | dgInt32 | srcStrideInBytes,
|  | dgInt32 | count
| ) |  | const

## § TransformVector()

DG_INLINE dgVector dgMatrix::TransformVector | ( | const dgVector & | v | ) | const

## § Transpose()

DG_INLINE dgMatrix dgMatrix::Transpose | ( |  | ) | const

## § Transpose4X4()

DG_INLINE dgMatrix dgMatrix::Transpose4X4 | ( |  | ) | const

## § UnrotateVector()

DG_INLINE dgVector dgMatrix::UnrotateVector | ( | const dgVector & | v | ) | const

## § UntransformPlane()

DG_INLINE dgPlane dgMatrix::UntransformPlane | ( | const dgPlane & | globalPlane | ) | const

## § UntransformVector()

DG_INLINE dgVector dgMatrix::UntransformVector | ( | const dgVector & | v | ) | const

## Member Data Documentation

## § m_front

dgVector dgMatrix::m_front

## § m_identityMatrix

dgMatrix dgMatrix::m_identityMatrix

static

## § m_posit

dgVector dgMatrix::m_posit

## § m_right

dgVector dgMatrix::m_right

## § m_up

dgVector dgMatrix::m_up

## § m_zeroMatrix

dgMatrix dgMatrix::m_zeroMatrix

static

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgMatrix.h
- dynamics.mod/NewtonDynamics/source/core/dgMatrix.cpp